org.codehaus.plexus.interpolation

## Class InterpolationCycleException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.codehaus.plexus.interpolation.InterpolationException
      - - org.codehaus.plexus.interpolation.InterpolationCycleException

All Implemented Interfaces:
  java.io.Serializable

    public class InterpolationCycleException
    extends InterpolationException

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`InterpolationCycleException(RecursionInterceptor recursionInterceptor, java.lang.String realExpr, java.lang.String wholeExpr)`

### Method Summary

### Methods inherited from class org.codehaus.plexus.interpolation.InterpolationException

`getExpression`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### InterpolationCycleException

    public InterpolationCycleException(RecursionInterceptor recursionInterceptor,
                               java.lang.String realExpr,
                               java.lang.String wholeExpr)